Bug 1348424 (CVE-2015-8926) - CVE-2015-8926 libarchive: NULL pointer access in RAR parser
Summary: CVE-2015-8926 libarchive: NULL pointer access in RAR parser
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-8926
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1352776 1353065 1353066
Blocks: 1334215
TreeView+ depends on / blocked
 
Reported: 2016-06-21 07:09 UTC by Doran Moppert
Modified: 2019-09-29 13:51 UTC (History)
4 users (show)

Fixed In Version: libarchive 3.2.0
Doc Type: Bug Fix
Doc Text:
A vulnerability was found in libarchive. A specially crafted RAR file could cause the application to disclose a 128k block of memory from an uncontrolled location.
Clone Of:
Environment:
Last Closed: 2016-10-18 04:58:25 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1844 normal SHIPPED_LIVE Important: libarchive security update 2016-09-13 00:11:35 UTC

Description Doran Moppert 2016-06-21 07:09:39 UTC
Upstream bug:
    https://github.com/libarchive/libarchive/issues/518

Upstream fix:
    https://github.com/libarchive/libarchive/commit/aab73938

crafted RAR file can trick libarchive into returning to the caller a 128k block
of data starting at whatever value was previously in the caller's variable.

libarchive-2.8 does not include support for this format.

Comment 2 Doran Moppert 2016-07-05 04:37:37 UTC
Created libarchive tracking bugs for this issue:

Affects: fedora-all [bug 1352776]

Comment 5 errata-xmlrpc 2016-09-12 20:14:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:1844 https://rhn.redhat.com/errata/RHSA-2016-1844.html


Note You need to log in before you can comment on or make changes to this bug.